Modeling Wizard Plugin for AutomationML Editor Version1.0.0.1 Plugin |

Public Member Functions | Properties | List of all members
Aml.Editor.Plugin.ClassOfListsFromReferencefile Class Reference

## Public Member Functions
| ClassOfListsFromReferencefile ()
| ClassOfListsFromReferencefile (string name, string value, string _default, string unit, string reference, string description, string copyRight, string semantic, string attributePath, string refBaseClassPath, string id, string referencedClassName, CAEXSequence< RefSemanticType > refSemanticList, string supportesRoleClassType, string dataType)
override string | ToString ()

## Properties
string | Name`[get, set]`
string | Value`[get, set]`
string | Default`[get, set]`
string | Unit`[get, set]`
string | Semantic`[get, set]`
string | Reference`[get, set]`
string | Description`[get, set]`
string | CopyRight`[get, set]`
string | AttributePath`[get, set]`
string | RefBaseClassPath`[get, set]`
string | ID`[get, set]`
string | ReferencedClassName`[get, set]`
CAEXSequence< RefSemanticType > | RefSemanticList`[get, set]`
string | SupportesRoleClassType`[get, set]`
string | DataType`[get, set]`

## Constructor & Destructor Documentation

## ◆ ClassOfListsFromReferencefile() [1/2]

Aml.Editor.Plugin.ClassOfListsFromReferencefile.ClassOfListsFromReferencefile | ( |  | ) |
| inline

## ◆ ClassOfListsFromReferencefile() [2/2]

Aml.Editor.Plugin.ClassOfListsFromReferencefile.ClassOfListsFromReferencefile | ( | string | name,
|  | string | value,
|  | string | _default,
|  | string | unit,
|  | string | reference,
|  | string | description,
|  | string | copyRight,
|  | string | semantic,
|  | string | attributePath,
|  | string | refBaseClassPath,
|  | string | id,
|  | string | referencedClassName,
|  | CAEXSequence< RefSemanticType > | refSemanticList,
|  | string | supportesRoleClassType,
|  | string | dataType
| ) |  |
| inline

## Member Function Documentation

## ◆ ToString()

override string Aml.Editor.Plugin.ClassOfListsFromReferencefile.ToString | ( |  | ) |
| inline

## Property Documentation

## ◆ AttributePath

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.AttributePath
| get set

## ◆ CopyRight

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.CopyRight
| get set

## ◆ DataType

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.DataType
| get set

## ◆ Default

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.Default
| get set

## ◆ Description

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.Description
| get set

## ◆ ID

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.ID
| get set

## ◆ Name

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.Name
| get set

## ◆ RefBaseClassPath

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.RefBaseClassPath
| get set

## ◆ Reference

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.Reference
| get set

## ◆ ReferencedClassName

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.ReferencedClassName
| get set

## ◆ RefSemanticList

CAEXSequence<RefSemanticType> Aml.Editor.Plugin.ClassOfListsFromReferencefile.RefSemanticList
| get set

## ◆ Semantic

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.Semantic
| get set

## ◆ SupportesRoleClassType

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.SupportesRoleClassType
| get set

## ◆ Unit

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.Unit
| get set

## ◆ Value

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.Value
| get set

The documentation for this class was generated from the following file:

- ClassOfListsFromReferencefile.cs